summaryrefslogtreecommitdiffstats
path: root/audio/shntool/shntool.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/shntool/shntool.SlackBuild')
-rw-r--r--audio/shntool/shntool.SlackBuild18
1 files changed, 12 insertions, 6 deletions
diff --git a/audio/shntool/shntool.SlackBuild b/audio/shntool/shntool.SlackBuild
index 4223211fc3..dc2199eb45 100644
--- a/audio/shntool/shntool.SlackBuild
+++ b/audio/shntool/shntool.SlackBuild
@@ -5,9 +5,9 @@
# Released under the WTFPL
PRGNAM=shntool
-VERSION=3.0.8
+VERSION=${VERSION:-3.0.8}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -19,6 +19,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -40,20 +42,24 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make DESTDIR=$PKG install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
)
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [ACINR]* doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-gzip -9 $PKG/usr/man/man1/$PRGNAM.1
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc